summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMartin Väth <martin@mvath.de>2015-10-11 11:26:48 +0200
committerMartin Väth <martin@mvath.de>2015-10-11 11:32:18 +0200
commit109d6b4f673a249aea4deeb0cdb5b54a21592410 (patch)
treeec3589a50dac5be54ef6248d1e0ff3a9fd3b41b4 /sys-fs/squash_dir
downloadmv-109d6b4f673a249aea4deeb0cdb5b54a21592410.tar.gz
mv-109d6b4f673a249aea4deeb0cdb5b54a21592410.tar.bz2
mv-109d6b4f673a249aea4deeb0cdb5b54a21592410.zip
Clear history for egencache --repo=mv --update-changelogs
Diffstat (limited to 'sys-fs/squash_dir')
-rw-r--r--sys-fs/squash_dir/Manifest1
-rw-r--r--sys-fs/squash_dir/metadata.xml22
-rw-r--r--sys-fs/squash_dir/squash_dir-13.8.ebuild100
3 files changed, 123 insertions, 0 deletions
diff --git a/sys-fs/squash_dir/Manifest b/sys-fs/squash_dir/Manifest
new file mode 100644
index 00000000..d20b18bb
--- /dev/null
+++ b/sys-fs/squash_dir/Manifest
@@ -0,0 +1 @@
+DIST squash_dir-13.8.tar.gz 31453 SHA256 f123d76ef3d6572ca9e1cb1c239e2fff925cdc8ae65b4047d8b50e351004b5d1 SHA512 0f86f387077a5878612e9847602d1c2e255b79bfcbae5573a6bf413d72ff8b3246b12583ea7050188feb116e55e7704ae9dd2d02df35ce072a2205c1eadfad32 WHIRLPOOL 46bde67d35b7540a28c0a768438a46bec035dbd9c92289e42448de744b054fed4e6bc79a75cea5ab126740a486877896f31b892a661a15bfe8541eb6ed6f9671
diff --git a/sys-fs/squash_dir/metadata.xml b/sys-fs/squash_dir/metadata.xml
new file mode 100644
index 00000000..8bf06804
--- /dev/null
+++ b/sys-fs/squash_dir/metadata.xml
@@ -0,0 +1,22 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>martin@mvath.de</email>
+ <name>Martin Väth</name>
+ </maintainer>
+ <upstream>
+ <maintainer>
+ <email>martin@mvath.de</email>
+ <name>Martin Väth</name>
+ </maintainer>
+ <bugs-to>mailto:martin@mvath.de</bugs-to>
+ <remote-id type="github">vaeth/squash_dir</remote-id>
+ </upstream>
+ <use>
+ <flag name="aufs">Prefer aufs</flag>
+ <flag name="overlayfs">Prefer overlayfs</flag>
+ <flag name="unionfs-fuse">Prefer unionfs-fuse</flag>
+ <flag name="bundled-openrc-wrapper">Install the bundled openrc-wrapper</flag>
+ </use>
+</pkgmetadata>
diff --git a/sys-fs/squash_dir/squash_dir-13.8.ebuild b/sys-fs/squash_dir/squash_dir-13.8.ebuild
new file mode 100644
index 00000000..73072d21
--- /dev/null
+++ b/sys-fs/squash_dir/squash_dir-13.8.ebuild
@@ -0,0 +1,100 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+RESTRICT="mirror"
+WANT_LIBTOOL=none
+AUTOTOOLS_IN_SOURCE_BUILD=true
+inherit autotools autotools-utils eutils linux-info readme.gentoo systemd
+
+DESCRIPTION="Keep directories compressed with squashfs. Useful for portage tree, texmf-dist"
+HOMEPAGE="http://forums.gentoo.org/viewtopic-t-465367.html"
+SRC_URI="https://github.com/vaeth/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+#KEYWORDS="~amd64 ~ppc ~x86"
+KEYWORDS=""
+IUSE="aufs overlayfs bundled-openrc-wrapper unionfs-fuse"
+
+BOTHDEPEND="bundled-openrc-wrapper? ( !!sys-apps/openrc-wrapper )"
+RDEPEND="sys-fs/squashfs-tools
+ !bundled-openrc-wrapper? ( sys-apps/openrc-wrapper )
+ ${BOTHDEPEND}
+ >=app-shells/runtitle-2.3
+ !<sys-fs/unionfs-fuse-0.25
+ unionfs-fuse? ( sys-fs/unionfs-fuse )"
+DEPEND=">=sys-devel/autoconf-2.65
+ ${BOTHDEPEND}"
+
+DISABLE_AUTOFORMATTING="true"
+DOC_CONTENTS="Please adapt ${EPREFIX}/etc/conf.d/${PN} to your needs.
+It is recommended to put into your zshrc the line:
+alias squash_dir='noglob squash_dir'"
+
+src_prepare() {
+ if use prefix
+ then sed -i \
+ -e "s\"'[^']*/etc/conf[.]d/${PN}'\"'${EPREFIX}/etc/conf.d/${PN}'\"g" \
+ -- "init.d/${PN}" || die
+ sed -i \
+ -e "s\"=/etc/\"=${EPREFIX}/etc/\"" \
+ -e "s\"=/usr/\"=${EPREFIX}/usr/\"" \
+ -- "systemd/${PN}@.service" || die
+ sed -i \
+ -e "s\":/usr/sbin:/sbin'\":${EPREFIX}/usr/sbin:${EPREFIX}/sbin:/usr/sbin:/sbin'\"" \
+ -- "sbin/${PN}" || die
+ sed -i \
+ -e "s\"'/lib/rc/bin:\":'${EPREFIX}/lib/rc/bin:/lib/rc/bin:\"" \
+ -- "sbin/openrc-wrapper" || die
+ else sed -i \
+ -e '1s"^#!/usr/bin/env sh$"#!'"${EPREFIX}/bin/sh"'"' \
+ -- bin/* sbin/* || die
+ fi
+ epatch_user
+ eautoreconf
+}
+
+src_configure() {
+ local order=
+ use unionfs-fuse && order=unionfs-fuse
+ use aufs && order=aufs
+ use overlayfs && order=overlayfs
+ local myeconfargs=(
+ --with-zsh-completion
+ "$(use_enable bundled-openrc-wrapper openrc-wrapper)"
+ "$(systemd_with_unitdir)"
+ ${order:+"--with-first-order=${order}"}
+ )
+ autotools-utils_src_configure
+}
+
+linux_config_missing() {
+ ! linux_config_exists || ! linux_chkconfig_present "${1}"
+}
+
+pkg_postinst() {
+ readme.gentoo_pkg_postinst
+ local fs=overlayfs
+ use unionfs-fuse && fs=unionfs-fuse
+ use aufs && fs=aufs
+ use overlayfs && fs=overlayfs
+ if linux_config_missing 'SQUASHFS'
+ then ewarn "To use ${PN} activate squashfs in your kernel"
+ fi
+ case ${fs} in
+ overlayfs)
+ if linux_config_missing 'OVERLAYFS_FS'
+ then ewarn "To use ${PN} activate overlayfs in your kernel."
+ ewarn "Unless you use a patched kernel, apply e.g. top patches from some head of"
+ ewarn "http://git.kernel.org/?p=linux/kernel/git/mszeredi/vfs.git;a=summary"
+ fi;;
+ aufs)
+ if ! has_version sys-fs/aufs3 && ! has_version sys-fs/aufs2 && linux_config_missing 'AUFS_FS'
+ then ewarn "To use ${PN} activate aufs in your kernel. Use e.g. sys-fs/aufs*"
+ fi;;
+ esac
+ optfeature "improved output" 'sys-fs/squashfs-tools[progress-redirect]'
+ optfeature "status bar support" 'app-shells/runtitle'
+}